<?php 
/*
* PuzzleApp
* Webemyos
* Jérôme Oliva
* GNU Licence
*/

namespace Apps\Courses\Entity;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class CourseSessionOrganizer extends Entity  
{
	//Constructeur
	function __construct($core)
	{
		//Version
		$this->Version ="2.0.0.0"; 

		//Nom de la table 
		$this->Core=$core; 
		$this->TableName="CourseSessionOrganizer"; 
		$this->Alias = "CourseSessionOrganizer"; 

		$this->SessionId = new Property("SessionId", "SessionId", NUMERICBOX,  false, $this->Alias); 
		$this->OrganizerId = new Property("OrganizerId", "OrganizerId", NUMERICBOX,  false, $this->Alias); 

		//Creation de l entité 
		$this->Create(); 
	}
}
?>